This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 989334 - Packstack allinone reports a bogus success install when jruby package is removed.
Packstack allinone reports a bogus success install when jruby package is remo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openstack-packstack (Show other bugs)
19
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 01:58 EDT by Kashyap Chamarthy
Modified: 2015-02-18 06:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:18:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log File (4.28 KB, text/x-log)
2013-08-11 09:53 EDT, Dusty Mabe
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 47805 None None None Never

  None (edit)
Description Kashyap Chamarthy 2013-07-29 01:58:31 EDT
Description of problem:
=======================

A single node Packstack install reports a spurious success when 'jruby' package
is removed). However, none of the OpenStack packages are installed, nor any
services are running. 


Version info:
=============

  $ rpm -q puppet ruby jruby
  puppet-3.1.1-4.fc19.noarch
  ruby-2.0.0.247-14.fc19.x86_64
  package jruby is not installed


How reproducible: Consistently


Steps to Reproduce:
===================

1. Get the upstream trunk repo (or even Havana milestone-2 as of writing
   this):

  $ wget \
  http://repos.fedorapeople.org/repos/openstack/openstack-trunk/fedora/x86_64

2. Remove jruby (I was suggested to just have regular ruby)

  $ yum remove jruby -y

3. Install a single node setup w/o Neutron (OpenStack Networking)

  $ packstack --allinone --os-quantum-install=n


Actual results:
===============

Install success.

  $ packstack --allinone --os-quantum-install=n
  .
  .
  .
  Applying 192.168.122.120_postscript.pp
  192.168.122.120_postscript.pp :                                      [ DONE ]
                             [ DONE ]
  
   **** Installation completed successfully ******
  
  
  Additional information:
   * A new answerfile was created in: /root/packstack-answers-20130728-103343.txt
   * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
   * To use the command line tools you need to source the file /root/keystonerc_admin created on 192.168.122.120
   * To use the console, browse to http://192.168.122.120/dashboard
   * To use Nagios, browse to http://192.168.122.120/nagios username : nagiosadmin, password : 92085428c5df41ef
   * The installation log file is available at: /var/tmp/packstack/20130728-103342-dCfAfX/openstack-setup.log

However, none of the OpenStack packages were installed nor any services are running.

  $ rpm -qa | grep -i openstack
  openstack-packstack-2013.1.1-0.21.dev651.fc19.noarch

  $ ps -ef | egrep -i 'nova|keystone|glance|cinder'
  root      5580   981  0 01:47 pts/0    00:00:00 egrep --color=auto -i nova|keystone|glance|cinder


Expected results:
=================

Packstack should exit gracefully, throwing an appropriate errors.
Comment 1 Kashyap Chamarthy 2013-07-29 01:59:34 EDT
Log file:

$ cat /var/tmp/packstack/20130728-103342-dCfAfX/openstack-setup.log
2013-07-28 10:33:43::INFO::run_setup::399::root:: A new answerfile was created in: /root/packstack-answers-20130728-103343.txt
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'yes', and match: 'yes'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'yes', and match: 'yes'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'yes', and match: 'yes'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'y', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'yes', and match: 'yes'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'y', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'y', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'True', and match: 'True'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'y', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'True', and match: 'True'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'n', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'False', and match: 'True'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'False', and match: 'True'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'y', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'y', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'n', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'y', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'False', and match: 'True'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'False', and match: 'True'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'False', and match: 'True'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'yes', and match: 'yes'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'y', and match: 'y'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'yes', and match: 'yes'
2013-07-28 10:33:43::INFO::run_setup::359::root:: Comparing pre- conditions, value: 'yes', and match: 'yes'
2013-07-28 10:33:44::ERROR::shell::83::root:: ============= STDERR ==========
2013-07-28 10:33:44::ERROR::shell::85::root:: Warning: Permanently added '192.168.122.120' (RSA) to the list of known hosts.
+ trap t ERR
+ vgdisplay cinder-volumes
  Volume group "cinder-volumes" not found
++ t
++ exit 5

2013-07-28 10:33:45::INFO::cinder_250::191::root:: A new cinder volumes group will be created
2013-07-28 10:34:26::INFO::run_setup::598::root:: Removing /var/tmp/packstack/0a9dc64e8771493c81492efb81c6dfe2 on 192.168.122.120 (if it is a remote host)
2013-07-28 10:34:27::INFO::run_setup::532::root::  * A new answerfile was created in: /root/packstack-answers-20130728-103343.txt
2013-07-28 10:34:27::INFO::run_setup::532::root::  * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
2013-07-28 10:34:27::INFO::run_setup::532::root::  * To use the command line tools you need to source the file /root/keystonerc_admin created on 192.168.122.120
2013-07-28 10:34:27::INFO::run_setup::532::root::  * To use the console, browse to http://192.168.122.120/dashboard
2013-07-28 10:34:27::INFO::run_setup::532::root::  * To use Nagios, browse to http://192.168.122.120/nagios username : nagiosadmin, password : 92085428c5df41ef
2013-07-28 10:34:27::INFO::run_setup::532::root::  * The installation log file is available at: /var/tmp/packstack/20130728-103342-dCfAfX/openstack-setup.log
Comment 2 Martin Magr 2013-07-29 06:44:12 EDT
Could you also post here at least one of the puppet log, so we could start catching such errors. You will find it in  /var/tmp/packstack/20130728-103342-dCfAfX/manifests/<IP>_<component>.pp.log
Comment 3 Kashyap Chamarthy 2013-07-29 09:46:08 EDT
Yep:

$ pwd
/var/tmp/packstack/20130728-103342-dCfAfX/manifests
[root@f19meadow manifests]# cat 192.168.122.120_nova.pp.log 192.168.122.120_keystone.pp.log
/usr/bin/env: jruby: No such file or directory
/usr/bin/env: jruby: No such file or directory
Comment 4 Dusty Mabe 2013-08-11 09:53:54 EDT
Created attachment 785402 [details]
Log File

I encountered this as well at the FLOCK openstack testing event with Kashyap. 

[root@laptop ~]# uname -r
3.10.5-201.fc19.x86_64
[root@laptop ~]# rpm -qa | grep -i openstack
openstack-packstack-2013.2.1-0.1.dev691.fc20.noarch
[root@laptop ~]# 
[root@laptop ~]# ps -ef | egrep -i 'nova|keystone|glance|cinder'
root      4855  4811  0 15:43 pts/2    00:00:00 egrep --color=auto -i nova|keystone|glance|cinder


See attached file for /var/tmp/packstack/20130810-153559-b2Zxwv/openstack-setup.log
Comment 5 Sandro Mathys 2013-08-11 10:21:41 EDT
That's probably an issue with Puppet, not Packstack. See bugs #985558 and #985208. Supposed to be fixed in puppet-3.1.1-5 but mattdm indicated it's actually not.

If someone feels like they can confirm it's indeed the same issue, go ahead and close this bug as a duplicate.
Comment 6 Fedora Admin XMLRPC Client 2013-10-14 05:51:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-10-14 05:51:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Update System 2013-10-17 10:54:47 EDT
openstack-packstack-2013.2.1-0.11.dev806.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openstack-packstack-2013.2.1-0.11.dev806.fc20
Comment 10 Fedora Update System 2013-10-17 16:22:42 EDT
Package openstack-packstack-2013.2.1-0.11.dev806.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-packstack-2013.2.1-0.11.dev806.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19133/openstack-packstack-2013.2.1-0.11.dev806.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-10-17 16:49:23 EDT
openstack-packstack-2013.2.1-0.12.dev806.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openstack-packstack-2013.2.1-0.12.dev806.fc20
Comment 12 Fedora Update System 2013-10-31 08:29:32 EDT
openstack-packstack-2013.2.1-0.12.dev835.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openstack-packstack-2013.2.1-0.12.dev835.fc20
Comment 13 Fedora Update System 2013-11-04 11:17:55 EST
openstack-packstack-2013.2.1-0.13.dev840.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openstack-packstack-2013.2.1-0.13.dev840.fc20
Comment 14 Fedora Update System 2013-11-13 08:25:05 EST
openstack-packstack-2013.2.1-0.14.dev846.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openstack-packstack-2013.2.1-0.14.dev846.fc20
Comment 15 Fedora End Of Life 2015-01-09 17:39:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 06:18:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.